Subject: cperl font-lock mode ought to ignore variables in comments

From: Nathan Trapuzzano <[email-masked]>
Date: Tue, 20 Mar 2012 18:44:18 -0400

cperl syntax highlighting ought to display variables (e.g. $foo, %bar)
the same way it displays all other text within comments, i.e., according
to font-lock-comment-fact. However, the text is instead displayed as
though it were not in fact contained within a comment. I imagine (and
hope) that this would be an easy fix.

Running Arch build 23.4-1:

In GNU Emacs 23.4.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.9)
 of 2012-02-01 on shirley.hoetzel.info
configured using `configure  '--prefix=/usr' '--sysconfdir=/etc'
'--libexecdir=/usr/lib' '--localstatedir=/var' '--wit\ h-x-toolkit=gtk'
'--with-xft' 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe
-fstack-protector --param=ssp-buffer-size\ =4 -D_FORTIFY_SOURCE=2'
'LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,--hash-style=gnu''